classification
Title: inet_pton redefined while building with windows SDK 6.0
Type: compile error Stage:
Components: Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes, weck
Priority: normal Keywords: patch

Created on 2007-11-19 16:32 by weck, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
socketmodule.c.patch weck, 2007-11-19 16:32
Messages (3)
msg57639 - (view) Author: zouguangxian (weck) Date: 2007-11-19 16:32
in Microsoft SDKs\Windows\v6.0A\Include\ws2tcpip.h, inet_pton was 
defined when NTDDI_VERSION >= NTDDI_LONGHORN with the following lines:

#if (NTDDI_VERSION >= NTDDI_LONGHORN)
WINSOCK_API_LINKAGE
INT
WSAAPI
inet_pton(
    __in                                INT             Family,
    __in                                PCSTR           pszAddrString,
    __out_bcount(sizeof(IN6_ADDR))      PVOID           pAddrBuf
    );
... ...

so in socketmodule.c, inet_pton should not be defined in such a 
situation.
msg57653 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-19 18:50
I've solved the issue in the py3k differently. I've checked for 
!(defined(_MSC_VER) && _MSC_VER>1499) but your check is better. Thanks!
msg57723 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-21 02:32
Fixed in py3k and soon to be fixed in trunk when my PCbuild9 directory
is ready.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 2.6, Python 3.0
2007-11-21 02:32:39christian.heimessetstatus: open -> closed
resolution: accepted -> fixed
messages: + msg57723
2007-11-19 18:50:04christian.heimessetversions: + Python 3.0
nosy: + christian.heimes
messages: + msg57653
priority: normal
assignee: christian.heimes
keywords: + py3k, patch
resolution: accepted
2007-11-19 16:32:18weckcreate